package com.example.myapp;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.TextView;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;

public class MainActivity extends Activity {
	
    static Integer[] arrImg = {
            R.drawable.pic_1, R.drawable.pic_2, R.drawable.pic_3,
            R.drawable.pic_4, R.drawable.pic_5, R.drawable.pic_6,
            R.drawable.pic_7, R.drawable.pic_8, R.drawable.pic_9
    };
	static final String[] titles = new String[] { "ѹԾ", "ҡ˹Ҥس",
		"ͧԹ", "", "á", "˹ҵҧ", "᷺Ҵ", "سѺ", "ѡ" };
	static final String[] details = new String[] { "ҨЪǹ仴˹ѧ ҨЪǹ 仡Թ "
			+ "ҡФ ͧͧ ͧ ͧ ѧҧ", "test",
		"test", "test", "test", "test", "test", "test", "test" };
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        final GridView gView1 = (GridView)findViewById(R.id.gridView1); 
        	
        gView1.setAdapter(new ImageAdapter(this, titles, details));
        
        gView1.setOnItemClickListener(new OnItemClickListener() {

        	public void onItemClick(AdapterView<?> parent, View v,
				int position, long id) {
				
				Intent i = new Intent(getApplicationContext(), FullImageActivity.class);
				i.putExtra("id", arrImg[position]);
				startActivity(i);
			}
		});
      
    }

    
    public class ImageAdapter extends BaseAdapter {
    	private Context context;
    	private final String[] titles;
    	private final String[] details;

    	public ImageAdapter(Context context, String[] titles, String[] details) {
    		this.context = context;
    		this.titles = titles;
    		this.details = details;
    	}
         
        public int getCount() {
            return arrImg.length;
        }
 
        public Object getItem(int position) {
            return position;
        }
 
        public long getItemId(int position) {
            return position;
        }
 
		public View getView(int position, View convertView, ViewGroup parent) {
			
			LayoutInflater inflater = (LayoutInflater) context
					.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		 
			int i1=position+1;
	 
			View gridView = new View(context);
			gridView = inflater.inflate(R.layout.showimage, null);
 
			ImageView imageView = (ImageView) gridView.findViewById(R.id.imageView1);
			TextView title = (TextView) gridView.findViewById(R.id.textView1);
			TextView detail = (TextView) gridView.findViewById(R.id.textView2);

			imageView.setImageResource(arrImg[position]);
			title.setText(i1+ ". "+titles[position]);
			detail.setText(details[position]);
	 
			return gridView;				
		}
    } 
}